import Vue from 'vue'
import App from './App'
import uView from "uview-ui";
import {parseTime} from "@/utils/index.js"
import store from './store';
Vue.use(uView);

// Vue.filter('dateFormate', parseTime);

Vue.config.productionTip = false

App.mpType = 'app'


import * as filters from './filters'

Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

const app = new Vue({
	store,
	...App
})
import httpInterceptor from '@/common/http.interceptor.js';
Vue.use(httpInterceptor, app);
app.$mount()
